Skip to content
Developer

Search

System and settings2 EndpointsDataWarehouse / Search

Returns a list of search results (max. 20 per entity)

GET/api/dw/unified_search

Query parameters

search_data_aggregationstringOptions: grouped, merged
search_data_entitiesstringComma separated list of entities to search in. Options: baseevent, baselocation, unifiedcategory, mediagroup, mediafileinfo, medianewsarticle
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of search results (max. 20 per entity)array<SimpleReference>

Show fields (3)
  • class_namestring
  • idstring
  • namestring
Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/dw/unified_search \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "class_name": "Beispiel",
    "id": "42",
    "name": "Beispiel"
  }
]

Returns grouped favorite entities for the current user based on customerFavoriteData.

GET/api/dw/unified_search/favorites

Reads the user's customer_favorite_data, extracts entity IDs per type, and forwards requests to entity controllers with the favoriteIds filter.

Responses

default

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/dw/unified_search/favorites \
  --header 'x-iw-jwt-token: <TOKEN>'